Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# wkgl::ButtonGroup Class Reference

`#include <ButtonGroup.h>`

List of all members.

## Public Methods
| ButtonGroup ()
| Creates an empty button group.
void | add (StateButton *but)
| Adds the specified state button to the group.
StateButton * | getCheckedButton ()
| Returns the currently selected button.
void | setCheckedButton (StateButton *button)
| Sets the currently set button to the one selected.
unsigned long | getGroupNumber ()
| Returns the group number of this group.
## Protected Attributes
unsigned long | group_num
| The group number of this group.
StateButton * | cur
| The currently set button.
## Static Protected Attributes
unsigned long | group_iterator = 0
| Iterates every time a group is created, to give it the group number.
## Friends
BOOL | setButtons (Component *, UINT, WPARAM, LPARAM)
| Sets a the new button, and unsets the previous one.

## Constructor & Destructor Documentation

ButtonGroup::ButtonGroup | ( |  | ) |

| Creates an empty button group.

## Member Function Documentation

void ButtonGroup::add | ( | StateButton * | but | ) |

  | Adds the specified state button to the group. Parameters:
  but | The button to add to the group.

StateButton * ButtonGroup::getCheckedButton | ( |  | ) |

| Returns the currently selected button. Returns: The currently selected button.

unsigned long ButtonGroup::getGroupNumber | ( |  | ) |

| Returns the group number of this group. Returns: The number that represents this group.

void ButtonGroup::setCheckedButton | ( | StateButton * | button | ) |

  | Sets the currently set button to the one selected. Parameters:
  button | The button to set.

## Friends And Related Function Documentation

BOOL setButtons | ( | Component * | com,
|  | UINT | message,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[friend]`

| Sets a the new button, and unsets the previous one.

## Member Data Documentation

StateButton* wkgl::ButtonGroup::cur`[protected]`

| The currently set button.

unsigned long ButtonGroup::group_iterator = 0`[static, protected]`

| Iterates every time a group is created, to give it the group number.

unsigned long wkgl::ButtonGroup::group_num`[protected]`

| The group number of this group.

The documentation for this class was generated from the following files:

- ButtonGroup.h
- ButtonGroup.cpp